<?php
/*
    Plugin Name: PressLine
    Plugin URI: http://avenger.name/blog/wordpress-plugin-pressline/
    Description: A simple plugin used to display your blog entries on a ajax timeline. Just like the googlemaps.
    Author: avenger
    Version: 0.1
    Author URI: http://avenger.name/
*/
add_action('wp_head', 'pressline_head_test');
add_action('save_post', 'pressline_xml_del');

function timeline_show($h='500') {
    echo '<div id="presslinediv" style="height: '. $h .'px; border: 1px solid #aaa"></div>';
}

function pressline_head_test() {
    //only load in pages
    if (is_page('PressLine')) {
        add_action('wp_head', 'pressline_head', 5);
    }

}

function pressline_head() {
    $_site_url  = get_option('siteurl');
    $_date      = date('M d Y', strtotime('tomorrow')).' 00:00:00 '.GMT;

    echo <<<JS

<script src="http://simile.mit.edu/timeline/api/timeline-api.js" type="text/javascript"></script>
<style type="text/css">
#presslinediv {
    font-size: 12px;
}
</style>
<script type="text/javascript">
function PressLineonLoad() {
  var eventSource = new Timeline.DefaultEventSource();
  var bandInfos = [
    Timeline.createBandInfo({
        eventSource:    eventSource,
        date:           "$_date",
        width:          "80%",
        intervalUnit:   Timeline.DateTime.MONTH,
        intervalPixels: 100
    }),
    Timeline.createBandInfo({
        showEventText:  false,
        trackHeight:    0.5,
        trackGap:       0.2,
        eventSource:    eventSource,
        date:           "$_date",
        width:          "20%",
        intervalUnit:   Timeline.DateTime.YEAR,
        intervalPixels: 200
    })
  ];
  bandInfos[1].syncWith = 0;
  bandInfos[1].highlight = true;

  var tl = Timeline.create(document.getElementById("presslinediv"), bandInfos);
  Timeline.loadXML("$_site_url/wp-content/plugins/pressline/_presslinedata.php", function(xml, url) { eventSource.loadXML(xml, url); });
}
</script>

JS;
}

function pressline_xml_del() {
    @unlink(dirname(__FILE__). DIRECTORY_SEPARATOR .'pressline.xml');
}
?>